"""
This module contains the definitions for schemata used in
the ourobori-package,.
"""


from pydantic import BaseModel


class SIPing(BaseModel):
    """
    SISchema for the ping-api.

    Attributes:
        ping: The ping argument passed by the request.
    """
    ping: str


class SOPing(BaseModel):
    """
    SOSchema for the ping-api.

    Attributes:
        status: The http-status code for the response (not used, only
            returned).
        pong: The same value as the ping-parameter passed by the original
            request.
    """
    status: int
    pong: str


class SEMessage(BaseModel):
    msg: str


class SError(BaseModel):
    status: int
    data: SEMessage


__all__ = ['SError',
           'SIPing',
           'SOPing']
